Jump to content
Sign in to follow this  
stapel_eliz

Unable To Upgrade From Openx 2.8

Recommended Posts

Some time ago, I tried to upgrade from OpenX 2.8.something(?) to Revive, and the installation failed. I thought it had been okay, but nothing was being logged. I couldn't figure out how to fix it, so I rolled back to the backed-up OpenX installation.

 

Now I'm trying again to install/upgrade, but I'm stuck at the "- An unknown version detected" error. The "debug.log" file is empty. The "install.log" file contains the following:

 

Attempting to detect an existing Openads (aka. phpAdsNew) installation...
PAN not detected
Attempting to detect an existing Openads (aka. Max Media Manager 0.1) installation...
MMM v0.1 not detected
Attempting to detect an existing Openads (aka. Max Media Manager 0.3) installation...
MMM v0.3 not detected
Attempting to detect an existing Revive Adserver installation...
creating upgrade_action audit table
successfully created upgrade_action audit table
creating database_action audit table
successfully created database_action audit table
An unknown version detected
#! Connected to the database ok : purple04_revive310
#! This version cannot be upgraded
 

Is there some key or value that I should be changing in the existing mySQL database to inform the upgrade/install script of the previous version? Or is there some other fix?

 

Thank you.

 

Eliz.

Share this post


Link to post
Share on other sites

I gave up and tried to do a clean install of Revive. It kept hanging in the second step, saying that it was detecting an "unknown version" of Revive. I finally went into the configuration file and, in the first section (labelled "[openads]"), replaced the "1" in the first line with a "0". That was enough to convince the installation script that it could proceed.

 

I then had problems with the installation claiming it found partial plugins, and could not install functional versions. I could neither install good ones nore uninstall the "bad" ones. So I ended up importing "code only", at which point I was able to uninstall the existing plugins and install the "right" ones.

 

I'm still working, but things seems to be moving in a helpful direction. I'd still like to know how to do a "destination URL" for Generic HTML ads, though....

 

Eliz.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  



×
×
  • Create New...